Bug 195603 - Build of "multimedia/gstreamer1-plugins-bad" fails
Summary: Build of "multimedia/gstreamer1-plugins-bad" fails
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-multimedia (Nobody)
URL:
Keywords:
Depends on: 194922
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-03 10:13 UTC by Gerard Seibert
Modified: 2014-12-17 08:55 UTC (History)
2 users (show)

See Also:


Attachments
Build log of the "multimedia/gstreamer1-plugins-bad" port (59.18 KB, text/plain)
2014-12-03 10:13 UTC, Gerard Seibert
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gerard Seibert 2014-12-03 10:13:02 UTC
Created attachment 150136 [details]
Build log of the "multimedia/gstreamer1-plugins-bad" port

FreeBSD 10.1-RELEASE #0 r274401

The "multimedia/gstreamer1-plugins-bad" fails to build. It end with this notation:

g-ir-scanner: link: ../../../libtool --mode=link --tag=CC cc -o /usr/ports/multimedia/gstreamer1-plugins-bad/work/gst-plugins-bad-1.2.4/gst-libs/gst/egl/tmp-introspectd4Amxl/GstEGL-1.0 -export-dynamic -I/usr/local/include -O2 -pipe -march=athlon64 -O2 -Wno-format -fstack-protector -fno-strict-aliasing -L/usr/local/lib -pthread -fstack-protector /usr/ports/multimedia/gstreamer1-plugins-bad/work/gst-plugins-bad-1.2.4/gst-libs/gst/egl/tmp-introspectd4Amxl/GstEGL-1.0.o -L. libgstegl-1.0.la -lgio-2.0 -Wl,--export-dynamic -lgmodule-2.0 -pthread -lgstvideo-1.0 -lgstbase-1.0 -lgstreamer-1.0 -lgobject-2.0 -L/usr/local/lib -lglib-2.0 -lintl
libtool: link: cc -o /usr/ports/multimedia/gstreamer1-plugins-bad/work/gst-plugins-bad-1.2.4/gst-libs/gst/egl/tmp-introspectd4Amxl/.libs/GstEGL-1.0 -I/usr/local/include -O2 -pipe -march=athlon64 -O2 -Wno-format -fstack-protector -fno-strict-aliasing -pthread -fstack-protector /usr/ports/multimedia/gstreamer1-plugins-bad/work/gst-plugins-bad-1.2.4/gst-libs/gst/egl/tmp-introspectd4Amxl/GstEGL-1.0.o -Wl,--export-dynamic -pthread -Wl,--export-dynamic  -L/usr/local/lib -L. ./.libs/libgstegl-1.0.so -lgio-2.0 -lgmodule-2.0 /usr/local/lib/libgstvideo-1.0.so /usr/local/lib/libgstbase-1.0.so /usr/local/lib/libgstreamer-1.0.so -lgobject-2.0 -lglib-2.0 -lintl -pthread -Wl,-rpath -Wl,/usr/local/lib
./.libs/libgstegl-1.0.so: undefined reference to `eglDestroyImageKHR'
cc: error: linker command failed with exit code 1 (use -v to see invocation)
linking of temporary binary failed: Command '['../../../libtool', '--mode=link', '--tag=CC', 'cc', '-o', '/usr/ports/multimedia/gstreamer1-plugins-bad/work/gst-plugins-bad-1.2.4/gst-libs/gst/egl/tmp-introspectd4Amxl/GstEGL-1.0', '-export-dynamic', '-I/usr/local/include', '-O2', '-pipe', '-march=athlon64', '-O2', '-Wno-format', '-fstack-protector', '-fno-strict-aliasing', '-L/usr/local/lib', '-pthread', '-fstack-protector', '/usr/ports/multimedia/gstreamer1-plugins-bad/work/gst-plugins-bad-1.2.4/gst-libs/gst/egl/tmp-introspectd4Amxl/GstEGL-1.0.o', '-L.', 'libgstegl-1.0.la', '-lgio-2.0', '-Wl,--export-dynamic', '-lgmodule-2.0', '-pthread', '-lgstvideo-1.0', '-lgstbase-1.0', '-lgstreamer-1.0', '-lgobject-2.0', '-L/usr/local/lib', '-lglib-2.0', '-lintl']' returned non-zero exit status 1
Makefile:1066: recipe for target 'GstEGL-1.0.gir' failed
gmake[3]: *** [GstEGL-1.0.gir] Error 1
gmake[3]: Leaving directory '/usr/ports/multimedia/gstreamer1-plugins-bad/work/gst-plugins-bad-1.2.4/gst-libs/gst/egl'
Makefile:716: recipe for target 'all-recursive' failed
gmake[2]: *** [all-recursive] Error 1
gmake[2]: Leaving directory '/usr/ports/multimedia/gstreamer1-plugins-bad/work/gst-plugins-bad-1.2.4/gst-libs/gst'
Makefile:707: recipe for target 'all-recursive' failed
gmake[1]: *** [all-recursive] Error 1
gmake[1]: Leaving directory '/usr/ports/multimedia/gstreamer1-plugins-bad/work/gst-plugins-bad-1.2.4/gst-libs'
*** Error code 2

Stop.
make: stopped in /usr/ports/multimedia/gstreamer1-plugins-bad

The entire build log is available here:

http://www.seibercom.net/logs/gstreamer1-plugins-bad.txt
Comment 1 Barbara Guida freebsd_committer 2014-12-03 22:38:41 UTC
Do you have x11/nvidia-driver installed?
I think you have the same problem I've reported here:
http://lists.freebsd.org/pipermail/freebsd-multimedia/2014-November/015351.html
Comment 2 Barbara Guida freebsd_committer 2014-12-05 21:37:40 UTC
This problem should have been fixed upstream in version 1.32-
Comment 3 Barbara Guida freebsd_committer 2014-12-16 23:08:17 UTC
If that is of any interest to someone, I think that this could be closed after the commit for PR194922 (r374804).